[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.GetPreferredSizeClientFrame

Calculates the width and height for the frame area around the control.

## Declaration

Source position: controls.pp line 2185

`protected procedure TWinControl.GetPreferredSizeClientFrame(`
`out aWidth: Integer;`
`out aHeight: Integer`
`); virtual;`

## Arguments

`aWidth` |  | Width used for the frame around the control.
`aHeight` |  | Height used for the frame around the control.

## Description

Calculated as follows:

- AWidth is the difference between Width and ClientWidth.
- AHeight is the difference between Height and ClientHeight.